﻿using System.Linq.Expressions;

namespace Connected.Expressions;

public sealed class EntityExpression : DatabaseExpression
{
	public EntityExpression(Type entityType, Expression expression)
		: base(DatabaseExpressionType.Entity, expression.Type)
	{
		EntityType = entityType;
		Expression = expression;
	}

	public Type EntityType { get; }
	public Expression Expression { get; }
}