﻿using Connected.Data;

namespace Connected.Security.Authentication;

public interface IAuthenticationToken : IPrimaryKey<int>
{
	string Token { get; init; }
	string Identity { get; init; }
	DateTime Expiration { get; init; }
	Status Status { get; init; }
	string Tags { get; init; }
}
