﻿using Connected.Entities.Annotations;

namespace Connected.Data.Annotations;

[AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = true)]
internal sealed class ColumnAttribute : MemberAttribute
{
	public string? Name { get; set; }
	public string? TableId { get; set; }
	public string? DbType { get; set; }
	public bool IsComputed { get; set; }
	public bool IsPrimaryKey { get; set; }
	public bool IsGenerated { get; set; }
	public bool IsReadOnly { get; set; }
}
